# coding: utf-8

"""
    PeerTube

    # Introduction  The PeerTube API is built on HTTP(S) and is RESTful. You can use your favorite HTTP/REST library for your programming language to use PeerTube. The spec API is fully compatible with [openapi-generator](https://github.com/OpenAPITools/openapi-generator/wiki/API-client-generator-HOWTO) which generates a client SDK in the language of your choice - we generate some client SDKs automatically:  - [Python](https://framagit.org/framasoft/peertube/clients/python) - [Go](https://framagit.org/framasoft/peertube/clients/go) - [Kotlin](https://framagit.org/framasoft/peertube/clients/kotlin)  See the [Quick Start guide](https://docs.joinpeertube.org/#/api-rest-getting-started) so you can play with the PeerTube API.  # Authentication  When you sign up for an account, you are given the possibility to generate sessions, and authenticate using this session token. One session token can currently be used at a time.  # Errors  The API uses standard HTTP status codes to indicate the success or failure of the API call. The body of the response will be JSON in the following format.  ``` {   \"code\": \"unauthorized_request\", // example inner error code   \"error\": \"Token is invalid.\" // example exposed error message } ```   # noqa: E501

    The version of the OpenAPI document: 2.2.0
    Generated by: https://openapi-generator.tech
"""


from __future__ import absolute_import

import unittest
import datetime

import peertube
from peertube.models.notification import Notification  # noqa: E501
from peertube.rest import ApiException

class TestNotification(unittest.TestCase):
    """Notification unit test stubs"""

    def setUp(self):
        pass

    def tearDown(self):
        pass

    def make_instance(self, include_optional):
        """Test Notification
            include_option is a boolean, when False only required
            params are included, when True both required and
            optional params are included """
        # model = peertube.models.notification.Notification()  # noqa: E501
        if include_optional :
            return Notification(
                id = 56, 
                type = 56, 
                read = True, 
                video = null, 
                video_import = peertube.models.notification_video_import.Notification_videoImport(
                    id = 56, 
                    video = peertube.models.video_info.VideoInfo(
                        id = 56, 
                        uuid = '0', 
                        name = '0', ), 
                    torrent_name = '0', 
                    magnet_uri = '0', 
                    target_uri = '0', ), 
                comment = peertube.models.notification_comment.Notification_comment(
                    id = 56, 
                    thread_id = 56, 
                    video = peertube.models.video_info.VideoInfo(
                        id = 56, 
                        uuid = '0', 
                        name = '0', ), 
                    account = peertube.models.actor_info.ActorInfo(
                        id = 56, 
                        name = '0', 
                        display_name = '0', 
                        host = '0', 
                        avatar = peertube.models.actor_info_avatar.ActorInfo_avatar(
                            path = '0', ), ), ), 
                video_abuse = peertube.models.notification_video_abuse.Notification_videoAbuse(
                    id = 56, 
                    video = null, ), 
                video_blacklist = peertube.models.notification_video_abuse.Notification_videoAbuse(
                    id = 56, 
                    video = null, ), 
                account = null, 
                actor_follow = peertube.models.notification_actor_follow.Notification_actorFollow(
                    id = 56, 
                    follower = peertube.models.actor_info.ActorInfo(
                        id = 56, 
                        name = '0', 
                        display_name = '0', 
                        host = '0', 
                        avatar = peertube.models.actor_info_avatar.ActorInfo_avatar(
                            path = '0', ), ), 
                    state = 'pending', 
                    following = peertube.models.notification_actor_follow_following.Notification_actorFollow_following(
                        type = 'account', 
                        name = '0', 
                        display_name = '0', 
                        host = '0', ), ), 
                created_at = datetime.datetime.strptime('2013-10-20 19:20:30.00', '%Y-%m-%d %H:%M:%S.%f'), 
                updated_at = datetime.datetime.strptime('2013-10-20 19:20:30.00', '%Y-%m-%d %H:%M:%S.%f')
            )
        else :
            return Notification(
        )

    def testNotification(self):
        """Test Notification"""
        inst_req_only = self.make_instance(include_optional=False)
        inst_req_and_optional = self.make_instance(include_optional=True)


if __name__ == '__main__':
    unittest.main()
